Forum Stats

  • 3,751,259 Users
  • 2,250,338 Discussions
  • 7,867,365 Comments

Discussions

PLS-00907: cannot load library unit [email protected]

1003528
1003528 Member Posts: 21
edited Nov 7, 2013 10:10PM in SQL & PL/SQL

Hi all, I am getting below error while compiling the package in oracle 11g.

SQL> select version from v$instance;

VERSION

-----------------

  1. 11.2.0.3.0

SQL> !uname -a

SunOS ghb1s311 5.10 Generic_142900-13 sun4u sparc SUNW,Sun-Fire-V890

SQL> SELECT owner,

       object_type,

       object_name,

       status

FROM   dba_objects

WHERE  status = 'INVALID'

ORDER BY owner, object_type, object_name;

  2    3    4    5    6    7

OWNER                OBJECT_TYPE   OBJECT_NAME                    STATUS

-------------------- ------------- ------------------------------ ---------

-------------------- ------------- ------------------------------ ----------

KOMPIMP              PACKAGE BODY  IMPORT_NI_STAMMDATEN           INVALID

SQL> alter package KOMPIMP.IMPORT_NI_STAMMDATEN compile body;

Warning: Package Body altered with compilation errors.

SQL> show error

Errors for PACKAGE BODY KOMPIMP.IMPORT_NI_STAMMDATEN:

LINE/COL ERROR

-------- -----------------------------------------------------------------

0/0      PLS-00907: cannot load library unit [email protected]

         (referenced by [email protected])

1201/5   PL/SQL: Statement ignored

SQL> select object_name,object_type,owner,status  from dba_objects where object_name like 'GLOBALS';

OBJECT_NAME                         OBJECT_TYPE                         OWNER                          STATUS

----------------------------------- ----------------------------------- ------------------------------ -------

GLOBALS                             PACKAGE                             KOMPIMP                        VALID

SQL> select object_name,object_type,owner,status  from dba_objects where object_name like 'PREORDER';

OBJECT_NAME                         OBJECT_TYPE                         OWNER                          STATUS

----------------------------------- ----------------------------------- ------------------------------ -------

PREORDER                            DATABASE LINK                       KOMPIMP                        VALID

These package(GLOBALS') is  valid then also this is not compiling.

Please suggest to solve this problem.

Thanks in Advance

Tagged:
This discussion has been closed.